## muffin 6.4.1+faye

=== debian/changelog ===
muffin (6.4.1+faye) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000

muffin (6.4.0) xia; urgency=medium

  [ Michael Webster ]
  * window-x11.c: Handle a special case for sending a ConfigureNotify event.

  [ Leigh Scott ]
  * Change all g_memdup() to g_memdup2() (#699)

  [ Kevin Langman ]
  * Make clutter_offscreen_effect_get_target available to Cjs (#702)

  [ Rick Calixte ]
  * gir: Correct usage of the closure annotation (#704)

  [ AxeldeWater ]
  * Update README.md to mention the fact that Muffin is a fork of Mutter, instead of the default readme from Mutter (#697)

  [ jknockel ]
  * constraints: Allow resize of windows moved above screen (#696)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2024 12:49:42 +0000

=== debian/control ===
Source: muffin
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
        debhelper-compat (= 12),
        dh-sequence-gir,
        at-spi2-core <!nocheck>,
        adwaita-icon-theme <!nocheck>,
        cinnamon-desktop-data (>= 5.3.0),
        dbus <!nocheck>,
        dmz-cursor-theme <!nocheck>,
        gnome-pkg-tools (>= 0.10),
        cinnamon-settings-daemon <!nocheck>,
        gobject-introspection (>= 1.41.3),
        gtk-doc-tools (>= 1.15),
        libcairo2-dev (>= 1.10.0),
        libcanberra-gtk3-dev,
        libdrm-dev (>= 2.4.83) [linux-any],
        libegl-dev,
        libegl1-mesa-dev (>= 17) [linux-any],
        libfribidi-dev (>= 1.0.0),
        libgirepository1.0-dev (>= 0.9.12),
        libgl1-mesa-dev (>= 7.1~rc3-1~),
        libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
        libglib2.0-dev (>= 2.61.1),
        libcinnamon-desktop-dev,
        libgbm-dev (>= 17.3) [linux-any],
        libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
        libgraphene-1.0-dev (>= 1.9.3),
        libgtk-3-dev (>= 3.19.8),
        libgudev-1.0-dev (>= 232) [linux-any],
        libice-dev,
        libinput-dev (>= 1.7) [linux-any],
        libjson-glib-dev (>= 0.13.2-1~),
        libnvidia-egl-wayland-dev [linux-any],
        libpam0g-dev,
        libpango1.0-dev (>= 1.2.0),
        libpipewire-0.3-dev [linux-any] | libpipewire-0.2-dev [linux-any],
        libsm-dev,
        libstartup-notification0-dev (>= 0.7),
        libsystemd-dev (>= 212) [linux-any],
        libwacom-dev (>= 0.13) [linux-any],
        libwayland-dev,
        libxau-dev,
        libx11-dev,
        libx11-xcb-dev,
        libxcb-randr0-dev,
        libxcb-res0-dev,
        libxcomposite-dev (>= 1:0.4),
        libxcursor-dev,
        libxdamage-dev,
        libxext-dev,
        libxfixes-dev,
        libxi-dev (>= 2:1.7.4),
        libxinerama-dev,
        libxkbcommon-dev (>= 0.4.3),
        libxkbcommon-x11-dev,
        libxkbfile-dev,
        libxrandr-dev,
        libxrender-dev,
        libxt-dev,
        meson (>= 0.50),
        pkg-config (>= 0.22),
        udev [linux-any],
        wayland-protocols (>= 1.25) [linux-any],
        xauth <!nocheck>,
        xcvt [linux-any],
        xkb-data,
        xserver-xorg-core [linux-any],
        xvfb <!nocheck>,
        xwayland [linux-any],
        zenity
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: gir1.2-meta-muffin-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Breaks: gir1.2-muffin-3.0
Replaces: gir1.2-muffin-3.0
Depends: libmuffin0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Muffin
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmuffin0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: muffin-doc
Breaks: apparmor (<< 2.13.3-5~)
Description: window and compositing manager (shared library)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared library.

Package: muffin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         muffin-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: xdg-user-dirs
Description: window and compositing manager
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the core binaries.

Package: muffin-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: window and compositing manager (data files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the shared files.

Package: muffin-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libmuffin0 (= ${binary:Version}),
 muffin (= ${binary:Version}),
 ${misc:Depends},
Description: window and compositing manager (debugging symbols)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the debugging symbols.

Package: libmuffin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libmuffin0 (<< 5.3)
Replaces: libmuffin0 (<< 5.3)
Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
         libatk1.0-dev,
         libcairo2-dev,
         libcinnamon-desktop-dev (>= 5.4),
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.7),
         libjson-glib-dev,
         libmuffin0 (= ${binary:Version}),
         libpango1.0-dev,
         libudev-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Description: window and compositing manager (development files)
 Muffin is a window manager performing compositing as well based on
 GTK+ and Clutter and used in Cinnamon desktop environment.
 .
 This package contains the development files.

## muffin 6.4.1+gigi

=== debian/changelog ===
muffin (6.4.1+gigi) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000

## muffin 6.4.1+xia

=== debian/changelog ===
muffin (6.4.1+xia) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000

## muffin 6.4.1+zena

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('egl_device',
  type: 'boolean',
  value: true,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable muffin core tests'
)

option('tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: false,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable muffin installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications ressources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

=== debian/changelog ===
muffin (6.4.1+zena) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000

## muffin 6.6.0+zena

=== debian/changelog ===
muffin (6.6.0+zena) zena; urgency=medium

  [ Kevin Langman ]
  * Add get_pipeline() API (#707)

  [ Michael Webster ]
  * Update debian/libmuffin0.symbols.

  [ JosephMcc ]
  * clutter/actor: Allow specifying the layout manager for an actor type (#709)

  [ Eli Schwartz ]
  * meson: fix some implicit ordering dependencies on generated headers (#716)

  [ Collin Bartlam ]
  * window.c: update saved_rect to target monitor work area on tiling (#714)

  [ Joseph Wang ]
  * disable assert for gi scanner (#720)
  * use non-deprecated g_spawn_check_wait_status (#721)

  [ Aleksey Samoilov ]
  * Replace any references to mutter with muffin (#726)
  * Bump wl_output interface to v4 (#727)
  * Fix Qt apps crash (#739)
  * [Wayland] Add support for xdg-foreign-v2 (#728)
  * [Wayland] Remove deprecated and obsolete protocols (#729)

  [ Jami Kettunen ]
  * wayland/dma-buf: Add support for BGR_8888 formats (#732)

  [ Aleksey Samoilov ]
  * Bump wl_compositor to version 5 (#734)
  * [Wayland]: Add support for hold gesture (#735)

  [ Michael Webster ]
  * debian/control: Update some versions to match build changes.

  [ Aleksey Samoilov ]
  * [Wayland] Bump gtk-shell-v1 protocol to version 6 (#736)
  * [Wayland] Add support for xdg-dialog-v1 protocol (#737)
  * [Xwayland] Add Xwayland byte-swapped clients support (#738)
  * [Wayland] Add support for xdg_toplevel.configure_bounds() (#740)
  * [Wayland] Fix crash when empty window geometry set (#741)
  * [Wayland] Implement xdg-activation-v1 protocol (#725)
  * [Xwayland] Check for listenfd option (#743)

  [ Michael Webster ]
  * Revert "x11 backend: Don't let muffin reset the keyboard layout any time" (#719)
  * meta-xwayland.c: Fix rebase error.

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

  [ Michael Webster ]
  * display.c: Allow non-maximized windows to affect a monitor's fullscreen state.

  [ Sunderland93 ]
  * xdg-shell/popup: Reset 'dismissed-by-client' state when remapping
  * window-actor/wayland: Remove subsurface actors on dispose
  * wayland/xdg-shell: Send xdg_popup.popup_done when position invalid
  * wayland/xdg-shell: Bail from popup_configure if resource was destroyed

  [ Aleksey Samoilov ]
  * [Wayland] Viewport fixes (#747)
  * [Meson] Fix some deprecations warnings (#750)
  * [Wayland] add support for idle-inhibit-unstable-v1 protocol (#681)
  * [Wayland] Add support for xdg-toplevel-tag-v1 protocol (#745)

  [ Leigh Scott ]
  * Make egl_device default and remove default enabled otions from Debian rules (#757)
  * cogl/winsys: Remove eglGetProcAddress workaround for EGL < 1.5 (#760)
  * Remove default_driver build option (#761)
  * Switch to libglvnd build deps (#758)

  [ Michael Webster ]
  * theme.c: Revert symbolic name changes for window controls.

  [ Aleksey Samoilov ]
  * [Wayland] Add wl_shm support for 10 bpc formats and wl_shm/DMA-BUF su… (#748)
  * [Wayland] Use anonymous file abstraction for wayland-keymap sharing (#753)

  [ Michael Webster ]
  * workspace.c: Add new method for listing visible window stack. (#766)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Dec 2025 15:38:33 +0000

muffin (6.4.1) xia; urgency=medium

  [ Michael Webster ]
  * Remove volatile qualifier for g_once_init handles.

  [ Cobinja ]
  * Exposes monitor names (#706)

  [ Michael Webster ]
  * Build: Update symbol file.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:43:49 +0000

## muffin 6.6.1+gigi

=== debian/changelog ===
muffin (6.6.1+gigi) zena; urgency=medium

  [ Michael Webster ]
  * keybindings.c: Add support for additional xkb next-group options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:28:37 +0000

muffin (6.6.0) zena; urgency=medium

  [ Kevin Langman ]
  * Add get_pipeline() API (#707)

  [ Michael Webster ]
  * Update debian/libmuffin0.symbols.

  [ JosephMcc ]
  * clutter/actor: Allow specifying the layout manager for an actor type (#709)

  [ Eli Schwartz ]
  * meson: fix some implicit ordering dependencies on generated headers (#716)

  [ Collin Bartlam ]
  * window.c: update saved_rect to target monitor work area on tiling (#714)

  [ Joseph Wang ]
  * disable assert for gi scanner (#720)
  * use non-deprecated g_spawn_check_wait_status (#721)

  [ Aleksey Samoilov ]
  * Replace any references to mutter with muffin (#726)
  * Bump wl_output interface to v4 (#727)
  * Fix Qt apps crash (#739)
  * [Wayland] Add support for xdg-foreign-v2 (#728)
  * [Wayland] Remove deprecated and obsolete protocols (#729)

  [ Jami Kettunen ]
  * wayland/dma-buf: Add support for BGR_8888 formats (#732)

  [ Aleksey Samoilov ]
  * Bump wl_compositor to version 5 (#734)
  * [Wayland]: Add support for hold gesture (#735)

  [ Michael Webster ]
  * debian/control: Update some versions to match build changes.

  [ Aleksey Samoilov ]
  * [Wayland] Bump gtk-shell-v1 protocol to version 6 (#736)
  * [Wayland] Add support for xdg-dialog-v1 protocol (#737)
  * [Xwayland] Add Xwayland byte-swapped clients support (#738)
  * [Wayland] Add support for xdg_toplevel.configure_bounds() (#740)
  * [Wayland] Fix crash when empty window geometry set (#741)
  * [Wayland] Implement xdg-activation-v1 protocol (#725)
  * [Xwayland] Check for listenfd option (#743)

  [ Michael Webster ]
  * Revert "x11 backend: Don't let muffin reset the keyboard layout any time" (#719)
  * meta-xwayland.c: Fix rebase error.

  [ Clement Lefebvre ]
  * Switch to XApp symbolic icons
  * Switch to xapp-symbolic-icons (XSI)

  [ Michael Webster ]
  * display.c: Allow non-maximized windows to affect a monitor's fullscreen state.

  [ Sunderland93 ]
  * xdg-shell/popup: Reset 'dismissed-by-client' state when remapping
  * window-actor/wayland: Remove subsurface actors on dispose
  * wayland/xdg-shell: Send xdg_popup.popup_done when position invalid
  * wayland/xdg-shell: Bail from popup_configure if resource was destroyed

  [ Aleksey Samoilov ]
  * [Wayland] Viewport fixes (#747)
  * [Meson] Fix some deprecations warnings (#750)
  * [Wayland] add support for idle-inhibit-unstable-v1 protocol (#681)
  * [Wayland] Add support for xdg-toplevel-tag-v1 protocol (#745)

  [ Leigh Scott ]
  * Make egl_device default and remove default enabled otions from Debian rules (#757)
  * cogl/winsys: Remove eglGetProcAddress workaround for EGL < 1.5 (#760)
  * Remove default_driver build option (#761)
  * Switch to libglvnd build deps (#758)

  [ Michael Webster ]
  * theme.c: Revert symbolic name changes for window controls.

  [ Aleksey Samoilov ]
  * [Wayland] Add wl_shm support for 10 bpc formats and wl_shm/DMA-BUF su… (#748)
  * [Wayland] Use anonymous file abstraction for wayland-keymap sharing (#753)

  [ Michael Webster ]
  * workspace.c: Add new method for listing visible window stack. (#766)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Dec 2025 15:38:33 +0000

## muffin 6.6.1+zena

=== debian/changelog ===
muffin (6.6.1+zena) zena; urgency=medium

  [ Michael Webster ]
  * keybindings.c: Add support for additional xkb next-group options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:28:37 +0000

## muffin 6.6.2+gigi

=== debian/changelog ===
muffin (6.6.2+gigi) zena; urgency=medium

  [ Michael Webster ]
  * github: Update workflow file.
  * github: Fix build.yml
  * Revert 23aba56e6d (ignore XkbNewKeyboardNotify) - Filter by (#782)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Jan 2026 11:55:59 +0000

muffin (6.6.1) zena; urgency=medium

  [ Michael Webster ]
  * keybindings.c: Add support for additional xkb next-group options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:28:37 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
export DPKG_GENSYMBOLS_CHECK_LEVEL = 2

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

CONFFLAGS = \
	-Dprofiler=false \
	-Dremote_desktop=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS += \
	-Dwayland_eglstream=true
else
CONFFLAGS += \
	-Dudev=false \
	-Dcore_tests=false \
	-Degl_device=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dnative_backend=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	-u XDG_CACHE_HOME \
	-u XDG_CONFIG_DIRS \
	-u XDG_CONFIG_HOME \
	-u XDG_DATA_DIRS \
	-u XDG_DATA_HOME \
	HOME=$(BUILDDIR)/HOME \
	XDG_RUNTIME_DIR=$(BUILDDIR)/XRD \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	meson test -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  TEST_COMMAND += --num-processes $(NUMJOBS)
endif

# Ignore test failures on hurd, kfreebsd and s390x. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips since they either time out or fail too much,
# blocking migration to testing
override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	glib-compile-schemas $(BUILDDIR)/data
	mkdir -m 700 $(BUILDDIR)/HOME
	mkdir -m 700 $(BUILDDIR)/XRD
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmuffin-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/muffin

override_dh_strip:
	dh_strip --dbg-package=muffin-dbg

override_dh_dwz:

## muffin 6.6.2+zena

=== debian/changelog ===
muffin (6.6.2+zena) zena; urgency=medium

  [ Michael Webster ]
  * github: Update workflow file.
  * github: Fix build.yml
  * Revert 23aba56e6d (ignore XkbNewKeyboardNotify) - Filter by (#782)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Jan 2026 11:55:59 +0000

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,11 @@
         libcairo2-dev (>= 1.10.0),
         libcanberra-gtk3-dev,
         libdrm-dev (>= 2.4.83) [linux-any],
-        libegl-dev,
         libegl1-mesa-dev (>= 17) [linux-any],
         libfribidi-dev (>= 1.0.0),
         libgirepository1.0-dev (>= 0.9.12),
-        libgl1-mesa-dev (>= 7.1~rc3-1~),
-        libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev (>= 2.61.1),
+        libglvnd-dev,
         libcinnamon-desktop-dev,
         libgbm-dev (>= 17.3) [linux-any],
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
@@ -31,7 +29,7 @@
         libgtk-3-dev (>= 3.19.8),
         libgudev-1.0-dev (>= 232) [linux-any],
         libice-dev,
-        libinput-dev (>= 1.7) [linux-any],
+        libinput-dev (>= 1.19.0) [linux-any],
         libjson-glib-dev (>= 0.13.2-1~),
         libnvidia-egl-wayland-dev [linux-any],
         libpam0g-dev,
@@ -41,7 +39,7 @@
         libstartup-notification0-dev (>= 0.7),
         libsystemd-dev (>= 212) [linux-any],
         libwacom-dev (>= 0.13) [linux-any],
-        libwayland-dev,
+        libwayland-dev (>= 1.20),
         libxau-dev,
         libx11-dev,
         libx11-xcb-dev,
@@ -60,10 +58,10 @@
         libxrandr-dev,
         libxrender-dev,
         libxt-dev,
-        meson (>= 0.50),
+        meson (>= 1.0.0),
         pkg-config (>= 0.22),
         udev [linux-any],
-        wayland-protocols (>= 1.25) [linux-any],
+        wayland-protocols (>= 1.23) [linux-any],
         xauth <!nocheck>,
         xcvt [linux-any],
         xkb-data,
@@ -163,11 +161,11 @@
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
          libglib2.0-dev,
+         libglvnd-dev,
          libgraphene-1.0-dev (>= 1.9.3),
          libgtk-3-dev,
-         libinput-dev (>= 1.7),
+         libinput-dev (>= 1.19.0),
          libjson-glib-dev,
          libmuffin0 (= ${binary:Version}),
          libpango1.0-dev,

## muffin 6.6.3+gigi

=== debian/changelog ===
muffin (6.6.3+gigi) zena; urgency=medium

  [ Michael Webster ]
  * display.c: Exclude 'always on top' windows from the monitor fullscreen check.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:16:49 +0000

muffin (6.6.2) zena; urgency=medium

  [ Michael Webster ]
  * github: Update workflow file.
  * github: Fix build.yml
  * Revert 23aba56e6d (ignore XkbNewKeyboardNotify) - Filter by (#782)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Jan 2026 11:55:59 +0000

## muffin 6.6.3+zena

=== debian/changelog ===
muffin (6.6.3+zena) zena; urgency=medium

  [ Michael Webster ]
  * display.c: Exclude 'always on top' windows from the monitor fullscreen check.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2026 13:16:49 +0000
